Bug 838837 - Description in Meta data for postgresql is referring to mysql
Description in Meta data for postgresql is referring to mysql
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 05:42 EDT by Xiaoli Tian
Modified: 2013-11-17 19:41 EST (History)
1 user (show)

See Also:
Fixed In Version: cartridge-postgresql-8.4-0.11.2+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoli Tian 2012-07-10 05:42:00 EDT
Description of problem:
Check cartridges/embedded/postgresql-8.4/info/manifest.yml, it's referring to mysql:

Name: postgresql-8.4
Version: 8.4
Architecture: noarch
Display-Name: postgres v8.4
Description: Postgres DB Server
Vendor:
Categories:
  - cartridge
  - database
License: ASL 2.0
Website: http://www.postgresql.org
Help-Topics:
  - "Building with PostGreSQL" : http://docs.redhat.com/docs/en-US/OpenShift/2.0/html/User_Guide/sect-User_Guide-Working_With_Database_Cartridges.html
Cart-Data:
  - Key: "username"
    Type: cart_data
    Description: "Root user on mysql database"
  - Key: "password"
    Type: cart_data
    Description: "Password for root user on mysql database"
  - Key: database_name
    Type: cart_data
    Description: "MySQL DB name"
  - Key: connection_url
    Type: cart_data
    Description: "MySQL DB connection URL"
Provides: rhc-cartridge-postgresql

Version-Release number of selected component (if applicable):
devenv_1882

How reproducible:
Always

Steps to Reproduce:
1.check cartridges/embedded/postgresql-8.4/info/manifest.yml,

  
Actual results:
It's referring to mysql

Expected results:

It should be referring to postgresql

Additional info:
Comment 1 Rob Millner 2012-07-10 18:47:32 EDT
Crankcase pull request #218.
Comment 2 Rob Millner 2012-07-10 21:14:51 EDT
Pull request accepted.
Comment 3 Xiaoli Tian 2012-07-10 23:09:15 EDT
The change is not pulled in current latest devenv (devenv_1884), will test it on next build.

Thanks
Comment 4 Xiaoli Tian 2012-07-12 03:32:33 EDT
Verified it on devenv-stage_223, it's fixed:

Cart-Data:
  - Key: "username"
    Type: cart_data
    Description: "Root user on PostgreSQL database"
  - Key: "password"
    Type: cart_data
    Description: "Password for root user on PostgreSQL database"
  - Key: database_name
    Type: cart_data
    Description: "PostgreSQL DB name"
  - Key: connection_url
    Type: cart_data
    Description: "PostgreSQL DB connection URL"
Provides: rhc-cartridge-postgresql

Note You need to log in before you can comment on or make changes to this bug.